// Copyright The OpenTelemetry Authors
// SPDX-License-Identifier: Apache-2.0

// <auto-generated>This file has been auto generated from scripts/templates/SemanticConventionsAttributes.cs.j2</auto-generated>

#pragma warning disable CS1570 // XML comment has badly formed XML

using System;

namespace OpenTelemetry.SemanticConventions;

/// <summary>
/// Constants for semantic attribute names outlined by the OpenTelemetry specifications.
/// </summary>
public static class OpentracingAttributes
{
    /// <summary>
    /// Parent-child Reference type.
    /// </summary>
    /// <remarks>
    /// The causal relationship between a child Span and a parent Span.
    /// </remarks>
    public const string AttributeOpentracingRefType = "opentracing.ref_type";

    /// <summary>
    /// Parent-child Reference type.
    /// </summary>
    public static class OpentracingRefTypeValues
    {
        /// <summary>
        /// The parent Span depends on the child Span in some capacity.
        /// </summary>
        public const string ChildOf = "child_of";

        /// <summary>
        /// The parent Span doesn't depend in any way on the result of the child Span.
        /// </summary>
        public const string FollowsFrom = "follows_from";
    }
}
